package de.samdev.colorrunner.screens.menu;

import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.math.Rectangle;

public abstract class BaseMenuElement {

    public abstract void render(SpriteBatch batch);
    public abstract void update(float delta);
    public abstract Rectangle getBounds();
    public abstract boolean clickTest(float x, float y);

}
